<?php
/*
   +----------------------------------------------------------------------+
   | PEAR Web site version 1.0                                            |
   +----------------------------------------------------------------------+
   | Copyright (c) 2001-2003 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors: Martin Jansen <mj@php.net>                                  |
   +----------------------------------------------------------------------+
   $Id: index.php,v 1.15 2003/11/09 10:34:45 mj Exp $
*/

response_header("Documentation");
?>

<h1>Documentation</h1>

<p>This is a centralized place to find documentation for Mach-II for PHP and registered extensions.</p>

<p>API Documentation:</p>

<ul>
    <li><a href="/manual/MachII/en/">Mach-II for PHP 4 and 5</a> (MachII)</li>
    <li><a href="/manual/MachII5/en/">Mach-II for PHP 5</a> (MachII5)</li>
<?php
/*$i = 0;
foreach ($doc_languages as $domain => $name) {
    echo "<li>";
    if ($i++ == 0) {
        echo "<b>" . make_link("/manual/" . $domain . "/", $name) . "</b>";
    } else {
        echo make_link("/manual/" . $domain . "/", $name);
    }
    echo "</li>";
}*/
?>

</ul>
<!--
<p>The manual is also available in PDF:</p>

<ul>
    </li><a href="/manual/en/">English</a></li>
</ul>
-->

<p>If you prefer local documentation, you can download some of the docs in PDF:</p>

<ul>
    <li><a href="<?php echo rawurlencode('Mach-II Configuration - PHP 1.0.pdf'); ?>">Configuration</a> - Even you are familiar with Mach-II for ColdFusion, read the Appendix!  It contains some very important information about class naming and pathing under PHP.</li>
    <li><a href="<?php echo rawurlencode('Mach-II Request-Event-Exception Handling - PHP 1.0.pdf'); ?>">Request-Event-Exception Handling</a></li>
</ul>

<?php
/*$formats = array(   
    "pear_manual_{LANG}.tar.gz"      => array("Many HTML files",     "tar.gz"),
    "pear_manual_{LANG}.zip"         => array("Many HTML files",     "zip"),
    "pear_manual_{LANG}.tar.bz2"     => array("Many HTML files",     "tar.bz2"),
    "pear_manual_{LANG}.html.gz"     => array("One big HTML file",   "html.gz"),
    // "chm/pear_manual_{LANG}.chm"     => array("Windows HTML help",    "chm"),
    "pear_manual_{LANG}.txt.gz"      => array("Plain text file",     "txt.gz")
);

$bb = new BorderBox("Download documentation", "70%", "", 3, true);
$bb->HeadRow("Type", "Format", "Size");

foreach ($doc_languages as $domain => $name) {
    $bb->fullRow("<b>" . $name . "</b>");

    foreach ($formats as $filename => $information) {
        $filename = str_replace("{LANG}", $domain, $filename);

        $link = make_link("/distributions/manual/" . $filename, $information[0]);
        $bb->plainRow($link, $information[1],
                      (int) (@filesize("../distributions/manual/" . $filename)/1024) . "KB");
    }

}

$bb->end();
*/
response_footer();
?>