<?php
/**
 * @package MachII
 */
/**
 * Listener invoker
 * @package MachII
 * @author Ben Edwards <ben@ben-edwards.com>
 * @author Alan Richmond <alan@aardwolfweb.com>
 * @abstract
 */
abstract class MachII_framework_ListenerInvoker
{
    /**
     * @param MachII_framework_Event
     * @param MachII_framework_Listener
     * @param string
     * @param string representation of a variable name to store
     *               returned value in.
     */
    public abstract function invokeListener(MachII_framework_Event $event, MachII_framework_Listener $target, $method, $resultKey = null);

}

?>