<?php

require_once 'Benchmark/Timer.php';

class MachII_plugins_PearBenchmarkTimerPlugin extends MachII_framework_Plugin
{
    var $timer;
    
    var $eventCounter;

    function configure()
    {
        $this->eventCounter = 1;
    }
    

    function preProcess(&$eventContext)
    {
        $this->timer =& new Benchmark_Timer($this->getParameter('display', false));
        $this->timer->setMarker(__FUNCTION__);
    }
    
    
    function preEvent(&$eventContext)
    {
        $event =& $eventContext->getCurrentEvent();
        $this->timer->setMarker(__FUNCTION__.' #'.$eventContext->getEventCount().' - '.$event->getName());
    }
    
    
    function postEvent(&$eventContext)
    {
        $event =& $eventContext->getCurrentEvent();
        $this->timer->setMarker(__FUNCTION__.' #'.$eventContext->getEventCount().' - '.$event->getName());
    }
    
    
    function preView(&$eventContext)
    {
        $event =& $eventContext->getCurrentEvent();
        $this->timer->setMarker(__FUNCTION__.' - '.$event->getName());
    }
    
    
    function postView(&$eventContext)
    {
        $event =& $eventContext->getCurrentEvent();
        $this->timer->setMarker(__FUNCTION__.' - '.$event->getName());
    }
    
    
    function postProcess(&$eventContext)
    {
        $this->timer->setMarker(__FUNCTION__);
    }
    
}

?>