<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
    <title>Roulette</title>
    
    <style type="text/css">
        .roulette_table {
            color: silver;
            text-align: center;
            font-weight: bold;
            font-size: 25pt;
            font-family: "Arial Black";
        }
        .green {
            background-color: green;
        }
        .red {
            background-color: red;
        }
        .black {
            background-color: black;
        }
        td{
            height: 36px;
        }
        .td.input.tiny{
            font-size: 6 px;
            color: silver;
        }
    </style>
</head>

<?php
function getColorOfNumber($number)
{
    $reds   = array(1,3,5,7,9,12,14,16,18,19,21,23,25,27,30,32,34,36);
    $blacks = array(2,4,6,8,10,11,13,15,17,20,22,24,26,28,29,31,33,35);
    
    if (in_array($number, $reds)) {
        return 'red';
    } elseif (in_array($number, $blacks)) {
        return 'black';
    }
    
    return 'green';
}
?>

<body>
Ready for some Roulette action, <?php echo $GLOBALS['gameState']['playerName']; ?>?

<form action="index.php?event=placeBet" method="post">
<table width="300" class="roulette_table">
    <tr>
        <td width="150" class="green">0<input class="tiny" type="Checkbox" name="numbersBet[]" value="0"></td>
        <td width="150" class="green">00<input class="tiny" type="Checkbox" name="numbersBet[]" value="00"></td>
    </tr>
</table>
<table width="300" class="roulette_table">
    <tr>
        <td width="100" class="red">1<input class="tiny" type="Checkbox" name="numbersBet[]" value="1"></td>
        <td width="100" class="black">2<input class="tiny" type="Checkbox" name="numbersBet[]" value="2"></td>
        <td width="100" class="red">3<input class="tiny" type="Checkbox" name="numbersBet[]" value="3"></td>
    </tr>
    <tr>
        <td width="100" class="black">4<input class="tiny" type="Checkbox" name="numbersBet[]" value="4"></td>
        <td width="100" class="red">5<input class="tiny" type="Checkbox" name="numbersBet[]" value="5"></td>
        <td width="100" class="black">6<input class="tiny" type="Checkbox" name="numbersBet[]" value="6"></td>
    </tr>
    <tr>
        <td width="100" class="red">7<input class="tiny" type="Checkbox" name="numbersBet[]" value="7"></td>
        <td width="100" class="black">8<input class="tiny" type="Checkbox" name="numbersBet[]" value="8"></td>
        <td width="100" class="red">9<input class="tiny" type="Checkbox" name="numbersBet[]" value="9"></td>
    </tr>
    <tr>
        <td width="100" class="black">10<input class="tiny" type="Checkbox" name="numbersBet[]" value="10"></td>
        <td width="100" class="black">11<input class="tiny" type="Checkbox" name="numbersBet[]" value="11"></td>
        <td width="100" class="red">12<input class="tiny" type="Checkbox" name="numbersBet[]" value="12"></td>
    </tr>    
    <tr>
        <td width="100" class="black">13<input class="tiny" type="Checkbox" name="numbersBet[]" value="13"></td>
        <td width="100" class="red">14<input class="tiny" type="Checkbox" name="numbersBet[]" value="14"></td>
        <td width="100" class="black">15<input class="tiny" type="Checkbox" name="numbersBet[]" value="15"></td>
    </tr>    
    <tr>
        <td width="100" class="red">16<input class="tiny" type="Checkbox" name="numbersBet[]" value="16"></td>
        <td width="100" class="black">17<input class="tiny" type="Checkbox" name="numbersBet[]" value="17"></td>
        <td width="100" class="red">18<input class="tiny" type="Checkbox" name="numbersBet[]" value="18"></td>
    </tr>    
    <tr>
        <td width="100" class="red">19<input class="tiny" type="Checkbox" name="numbersBet[]" value="19"></td>
        <td width="100" class="black">20<input class="tiny" type="Checkbox" name="numbersBet[]" value="20"></td>
        <td width="100" class="red">21<input class="tiny" type="Checkbox" name="numbersBet[]" value="21"></td>
    </tr>    
    <tr>
        <td width="100" class="black">22<input class="tiny" type="Checkbox" name="numbersBet[]" value="22"></td>
        <td width="100" class="red">23<input class="tiny" type="Checkbox" name="numbersBet[]" value="23"></td>
        <td width="100" class="black">24<input class="tiny" type="Checkbox" name="numbersBet[]" value="24"></td>
    </tr>    
    <tr>
        <td width="100" class="red">25<input class="tiny" type="Checkbox" name="numbersBet[]" value="25"></td>
        <td width="100" class="black">26<input class="tiny" type="Checkbox" name="numbersBet[]" value="26"></td>
        <td width="100" class="red">27<input class="tiny" type="Checkbox" name="numbersBet[]" value="27"></td>
    </tr>        
    <tr>
        <td width="100" class="black">28<input class="tiny" type="Checkbox" name="numbersBet[]" value="28"></td>
        <td width="100" class="black">29<input class="tiny" type="Checkbox" name="numbersBet[]" value="29"></td>
        <td width="100" class="red">30<input class="tiny" type="Checkbox" name="numbersBet[]" value="30"></td>
    </tr>        
    <tr>
        <td width="100" class="black">31<input class="tiny" type="Checkbox" name="numbersBet[]" value="31"></td>
        <td width="100" class="red">32<input class="tiny" type="Checkbox" name="numbersBet[]" value="32"></td>
        <td width="100" class="black">33<input class="tiny" type="Checkbox" name="numbersBet[]" value="33"></td>
    </tr>        
    <tr>
        <td width="100" class="red">34<input class="tiny" type="Checkbox" name="numbersBet[]" value="34"></td>
        <td width="100" class="black">35<input class="tiny" type="Checkbox" name="numbersBet[]" value="35"></td>
        <td width="100" class="red">36<input class="tiny" type="Checkbox" name="numbersBet[]" value="36"></td>
    </tr>            
</table>

<h3>Previous Winners</h3>
<table class="Roulette_Table">
    <tr>
<?php
foreach ($GLOBALS['gameState']['history'] as $history) {
    if (strlen(trim($history)) > 0) {
        echo '<td class="',getColorOfNumber($history),'">',$history,"</td>\n";
    }
}
?>
    </tr>
</table>

<h3>You currently have: <?php echo '$',number_format($GLOBALS['gameState']['stake'], 2); ?></h3>
<h3>Bet amount: <select name="amountBet">
    <option value="1">1</option>
    <option value="2">2</option>
    <option value="3">3</option>
    <option value="4">4</option>
    <option value="5">5</option>
</select></h3>
<input type="Submit" value=" Bet! " />
</form>
<h3><a href="index.php?event=newPlayer">I'm done. Let somebody else play.</a></h3>
</body>
</html>
