<?php

class ShoppingCart_model_DataManager extends MachII_framework_Listener
{
    var $_data = array(
        100 => array(
            'productID'   => 100,
            'name'        => 'Black Adder',
            'description' => 'This entry-level notebook still packs a punch with a full 8MB of RAM on board and available overclocked 16MHz chip',
            'price'       => 849,
            'type'        => 'normal',
            'image'       => '100.jpg'
        ),
        200 => array(
            'productID'   => 200,
            'name'        => 'King Cobra',
            'description' => 'At only 1/8" thick and weighing less than a decent Honduran cigar, this is the machine to impress your friends',
            'price'       => 2499,
            'type'        => 'restricted',
            'image'       => '200.jpg'
        ),
        300 => array(
            'productID'   => 300,
            'name'        => 'Tigersnake',
            'description' => 'With 2 car-sized batteries, this machine is guaranteed for 12 days of running time. (Small trailer not included)',
            'price'       => 2249,
            'type'        => 'normal',
            'image'       => '300.jpg'
        ),
        400 => array(
            'productID'   => 400,
            'name'        => 'Black Mamba',
            'description' => 'Running on pure viper venom, the Black Mamba is the most lethal computer built. (Caution: upgrades should be attempted only by persons with heavy duty plastic gloves and access to a good medical facility.)',
            'price'       => 2825,
            'type'        => 'restricted',
            'image'       => '400.jpg'
        ),
        500 => array(
            'productID'   => 500,
            'name'        => 'Water Moccasin',
            'description' => 'The only personal computer that is both dishwasher- and microwave-safe.',
            'price'       => 3850,
            'type'        => 'restricted',
            'image'       => '500.jpg'
        ),
    
    );
    
    function getProductInfo($productID)
    {
        return $this->_data[$productID];
    }
    
    function getAllProducts()
    {
        return $this->_data;
    }
}

?>