<?php

class ShoppingCart_model_CartItem
{
    private $_product;
    private $_quantity = 0;
    
    public function __construct($product)
    {
        $this->setQuantity(1);
        $this->setProduct($product);
    }
    
    public function setProduct($product)
    {
        $this->_product = $product;
    }
    
    public function getProduct()
    {
        return $this->_product;
    }
    
    public function setQuantity($quantity)
    {
        $this->_quantity = $quantity;
    }
    
    public function getQuantity()
    {
        return $this->_quantity;
    }
    
    public function incrementQuantity()
    {
        $qty = $this->getQuantity();
        $this->setQuantity(++$qty);
    }
    
    public function decrementQuantity()
    {
        $qty = $this->getQuantity();
        $this->setQuantity(--$qty);
    }

}

?>