<?php

require_once 'Product.php';

class ShoppingCart_model_RestrictedProduct extends ShoppingCart_model_Product
{
    public function setPrice($price)
    {
        $restrictedMonths = array(11, 12, 1, 2);
        
        $premium = (in_array(date('n'), $restrictedMonths))?1.45:1;
        
        parent::setPrice($price * $premium);
    }
    
    public function getName()
    {
        return parent::getName().': RESTRICTED ITEM';
    }
}

?>