<?php

class ContactManager_model_Contact
{
    private $_id;
    private $_firstName = '';
    private $_lastName = '';
    private $_street = '';
    private $_city = '';
    private $_state = '';
    private $_zip = '';
    
    public function __construct()
    {
        $this->setId(md5(uniqid('CM', true)));
    }
    
    public function setInfo($info)
    {
        $this->setFirstName($info['firstName']);
        $this->setLastName($info['lastName']);
        $this->setStreet($info['street']);
        $this->setCity($info['city']);
        $this->setState($info['state']);
        $this->setZip($info['zip']);
    }
    
    public function setId($id)
    {
        $this->_id = $id;
    }
    
    public function getId()
    {
        return $this->_id;
    }
    
    public function setFirstName($firstName)
    {
        $this->_firstName = $firstName;
    }
    
    public function getFirstName()
    {
        return $this->_firstName;
    }
    
    public function setLastName($lastName)
    {
        $this->_lastName = $lastName;
    }
    
    public function getLastName()
    {
        return $this->_lastName;
    }
    
    public function setStreet($street)
    {
        $this->_street = $street;
    }
    
    public function getStreet()
    {
        return $this->_street;
    }
    
    
    public function setCity($city)
    {
        $this->_city = $city;
    }
    
    public function getCity()
    {
        return $this->_city;
    }
    
    public function setState($state)
    {
        $this->_state = $state;
    }
    
    public function getState()
    {
        return $this->_state;
    }
    
    public function setZip($zip)
    {
        $this->_zip = $zip;
    }
    
    public function getZip()
    {
        return $this->_zip;
    }
}

?>