<?php
/*
   +----------------------------------------------------------------------+
   | PEAR Web site version 1.0                                            |
   +----------------------------------------------------------------------+
   | Copyright (c) 2001-2003 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors: Martin Jansen <mj@php.net>                                  |
   +----------------------------------------------------------------------+
   $Id: index.php,v 1.90 2003/12/22 12:42:30 mj Exp $
*/

response_header();
?>

<h1>PEAR</h1>

<p><acronym title="PHP Extension and Application Repository">PEAR</acronym>
is a framework and distribution system for reusable PHP
components. More <b>information</b> about PEAR can be found in the
<a href="http://pear.php.net/manual/en/">online manual</a> and the 
<a href="http://pear.php.net/manual/en/faq.php">FAQ</a>.</p>

<p>If you are a first time user, you might be especially interested in
the manual chapter &quot;<a href="http://pear.php.net/manual/en/about-pear.php">About PEAR</a>&quot;.</p>

<p>PEAR provides the above mentioned PHP components in the form of so 
called &quot;Packages&quot;. If you would like to <b>download</b> PEAR 
packages, you can <a href="/packages.php">browse the complete list</a>
here.  Alternatively you  can  search for packages by some keywords
using the search box above. Apart from simply downloading a package,
PEAR also provides a command-line interface that can be used to
automatically <b>install</b> packages. The manual <a href="http://pear.php.net/manual/en/installation.cli.php">
describes this procedure</a> in detail.</p>

<p>In case you need <b>support</b> for PEAR, we have compiled a list of the <a href="http://pear.php.net/support.php">available 
support resources</a>.</p>



<?php

response_footer();

?>