<?php
/*
   +----------------------------------------------------------------------+
   | PEAR Web site version 1.0                                            |
   +----------------------------------------------------------------------+
   | Copyright (c) 2001-2003 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors:                                                             |
   +----------------------------------------------------------------------+
   $Id: support.php,v 1.59 2003/11/25 19:31:34 mj Exp $
*/

$SIDEBAR_DATA='
<h3>Documentation</h3>
<p>
The manual for Mach-II for PHP can be found
<a href="/manual/">here</a>.</p>
';

response_header("Support");
?>

<h2>Support</h2>

<b>Table of Contents</b>
<ul>
  <li><a href="#lists">Community</a></li>
  <!--<li><a href="#tutorials">Tutorials</a></li>-->
  <li><a href="#resources">Resources</a></li>
  <li><a href="#icons">Mach-II Icons</a></li>
</ul>

<a name="lists" /><h3>Community</h3>

<?php
if (isset($maillist)) {
    // should really grab some email validating routine and use it here.
    if (empty($email) || $email == 'user@example.com') {
        echo "You forgot to specify an email address to be added to the list.  ";
        echo "Go back and try again.";
    } else {
        $request = strtolower($action);
                if ($request != "subscribe" && $request != "unsubscribe") {
                    $request = "subscribe";
                }
        switch ($maillist) {
            default:
            mail("$maillist-$request@topica.com", "Website Subscription",
                "This was a request generated from the form at http://".$_SERVER['SERVER_NAME']."/support.php.", "From: $email\r\n");
            break;
        }
?>
<p>
A request has been entered into the mailing list processing queue. You
should receive an email at <strong><?php echo $email;?></strong> shortly describing how to
complete your request.
</p>
<?php
    }
} else {

  // array of lists (list, name, short desc., moderated, archive, digest, newsgroup)
  $mailing_lists = array(

    'Mailing Lists',

    array (
      'mach-ii-php', 'Mach-II for PHP',
      'A list for users of Mach-II for PHP.',
      false, true, true,
      'http://www.topica.com/lists/mach-ii-php/read'
    ),

    array (
      'mach-ii-coldfusion', 'Mach-II for ColdFusion',
      'A list for users of Mach-II for ColdFusion<br />and general Mach-II questions.',
      false, true, true,
      'http://www.topica.com/lists/mach-ii-coldfusion/read'
    ),
    
    'Forum',
    
    array (
        false, 'Mach-II Forum',
        'A general Mach-II forum hosted by ' . make_link('http://www.fusebox.org', 'Fusebox.org') . '.',
        true, false, false,
        'http://www.fusebox.org/forums/categories.cfm?catid=26'
    )
  );
?>
<p>
There are <?php echo count($mailing_lists)-2; ?> Mach-II related communities available.  The archives are
searchable. <!--The lists are described in more detail in the
<a href="/manual/en/support.php">manual</a>.-->
</p>

<form method="POST" action="/support.php">
<p>
<table cellpadding="5" cellspacing="1">
<?php

while ( list(, $listinfo) = each($mailing_lists)) {
    if (!is_array($listinfo)) {

        echo '<tr bgcolor="#cccccc">';
        echo '<th>' . $listinfo . '</th>';
        //echo '<th>Moderated</th>';
        echo '<th>Archive</th>';
        echo '<th>Subscribe</th>';
        //echo '<th>Digest</th>';
        echo '</tr>' . "\n";

    } else {

        echo '<tr align="center" bgcolor="#e0e0e0">';
        echo '<td align="left"><b>' . $listinfo[1] . '</b><br /><small>'. $listinfo[2] . '</small></td>';
        //echo '<td>' . ($listinfo[3] ? 'yes' : 'no') . '</td>';
        echo '<td>' . ($listinfo[6] ? make_link($listinfo[6], 'yes') : 'n/a') . '</td>';
        echo '<td>' . ($listinfo[0] ? '<input name="maillist" type="radio" value="' . $listinfo[0] . '" />' : 'n/a') . '</td>';
        //echo '<td>' . ($listinfo[5] ? '<input name="maillist" type="radio" value="'.$listinfo[0].'-digest" />' : 'n/a' ) . '</td>';
        echo '</tr>' . "\n";

    }
}

?>
</table>
</p>

<p align="center">
<b>Email:</b>
<input type="text" name="email" width="40" value="user@example.com" />
<input type="submit" name="action" value="Subscribe" />
<!-- <input type="submit" name="action" value="Unsubscribe" /> -->
</p>

</form>

<p>
You will be sent a confirmation mail at the address you wish to
be subscribed or unsubscribed, and only added to the list after
following the directions in that mail.
</p>

<p>
If you have questions concerning this website, you can contact
<a href="mailto:php@mach-ii.com">php@mach-ii.com</a>.
</p>

<div class="listing">
<!--
<a name="tutorials" /><h3>PEAR Tutorials</h3>
<h4>PEAR Tutorials sites</h4>
<ul>
    <li>Tutorials about PEAR, available in many languages: 
    <a href="http://www.pearfr.org">www.pearfr.org</a>.
    </li>
    <li>Links to PEAR tutorials: <a href="http://www.phpkitchen.com/staticpages/index.php?page=2003041204203962">
       www.phpkitchen.com</a>
    </li>
</ul>

<h4>Tutorials about the PEAR DB package:</h4>

<ul>
    <li>Tutorial and conferences papers about a lot of PEAR packages
        <a href="http://www.pearfr.org/~amerz/">http://www.pearfr.org/~amerz/</a>
    </li>
        
    <li><a href="http://www.pearfr.org/index.php/en/article/db_pager">Pear DB_Pager package Tutorial</a> by Tomas V.V.Cox,
    Arnaud Limbourg.
    This package handles all the stuff needed for displaying paginated results from an array or a database result.
    </li>

    <li><a href="http://www.phpbuilder.com/columns/allan20010115.php3">PEAR DB Tutorial</a> on phpbuilder.com</li>

    <li><a href="http://www.onlamp.com/pub/a/php/2001/11/29/peardb.html">PEAR::DB Primer</a> on O'Reilly Network</li>

    <li><a href="http://www.nusphere.com/products/library/script_peardb.pdf">Writing Scripts with PHP's PEAR DB Class</a> - by Paul DuBois (PDF) in nusphere.com</li>

    <li><a href="http://evolt.org/article/Abstract_PHP_s_database_code_with_PEAR_DB/17/21927/index.html">Abstract PHP's database code with PEAR::DB</a> on evolt.org</li>

    <li><a href="http://www.devshed.com/Server_Side/PHP/DBAbstraction">Database Abstraction With PHP</a> on devshed.com</li>
</ul>

<h4>Tutorials about some PEAR packages in German:</h4>

<ul>
    <li>&quot;<a href="http://www.heise.de/ix/artikel/2003/12/124/">XML Transformer kann XSLT ersetzen</a>&quot;</li>

    <li>IT[X]:
    <a href="http://www.ulf-wendel.de/projekte/itx/index.php">http://www.ulf-wendel.de/projekte/itx/index.php</a>
    </li>

    <li><a href="http://www.ulf-wendel.de/projekte/menu/tutorial.php">Menu.php Tutorial</a> in German.
    This package generates a HTML menu from a multidimensional hash.</li>

    <li><a href="http://www.ulf-wendel.de/projekte/cache/">Tutorial about the PEAR Cache package</a></li>
</ul>

<h4>Other tutorials:</h4>

<ul>
    <li><a href="http://www.php-mag.net/itr/online_artikel/psecom,id,455,nodeid,114.html">Grokking Stats</a>:
    Article (PDF) by <a href="/user/jmcastagnetto">Jesus M. Castagnetto</a>
    about <a href="/package/Math_Stats/">Math_Stats</a> and 
    <a href="/package/Math_Histogram/">Math_Histogram</a>.</li>

    <li><a href="http://php.chregu.tv/sql2xml/">XML_sql2xml tutorial</a>. A PEAR package for converting SQL
    query results or arrays to XML.</li>

    <li><a href="http://www.mamasam.com/tutorials/en_html_table.html">Table.php</a> Tutorial. The table package
    allows you to generate HTML tables without the need to include HTML tags in your PHP code.</li>

   <li><a href="http://www.zend.com/zend/art/art-heyes.php">PEAR::Mail</a> on zend.com</li>

</ul>
-->
<a name="resources" /><h3>Mach-II resources</h3>

<ul>
    <li>Where to learn <a href="http://www.mach-ii.com/resources.cfm">more</a>.</li>

</ul>

</div>

<a name="icons" /><h3>Powered By Mach-II</h3>

<p>
    A set of icons to tell the world your site is powered by Mach-II.
</p>

<?php

$icons = Array(
    'mach-ii-button.gif'    => 'Mach-II.com button, GIF format',
    'mach-ii-button.png'    => 'Mach-II.com button, PNG format'//,
    //'mach_ii_logo.gif'      => '"MII" logo, GIF format',
    //'mach_ii_logo.png'      => '"MII" logo, PNG format'
);

echo '<table cellpadding="5" cellspacing="1">';

foreach ($icons as $file => $desc) {
    echo '<tr bgcolor="e0e0e0">';
    echo '<td>' . make_image($file,$desc) . '<br /></td>';
    echo '<td>' . $desc . '<br><small>';
    $size = @getimagesize($HTTP_SERVER_VARS['DOCUMENT_ROOT'].'/gifs/'.$file);
    if ($size) {
        echo $size[0] . ' x ' . $size[1] . ' pixels<br>';
    }
    $size = @filesize($HTTP_SERVER_VARS['DOCUMENT_ROOT'].'/gifs/'.$file);
    if ($size) {
        echo $size . ' bytes<br>';
    }
    echo '</small>';
    echo '</td></tr>';
}

echo '</table>';

echo '<p><b>Note:</b> Please do not just include these icons directly but
        download and save them locally in order to keep HTTP traffic
        low.</p>';
}
response_footer();
?>
