<?php
/**
 * @package MachII
 * @subpackage Invokers
 */
/**
 * A MachII_framework_Invoker for calling a MachII_framework_Listener.
 * 
 * A single argument, MachII_framework_Event, will be passed to the
 * MachII_framework_Listener method.
 * @package MachII
 * @subpackage Invokers
 */
class MachII_framework_invokers_ObjectEvent extends MachII_framework_ListenerInvoker
{
    /**
     * {@inheritdoc}
     */
    function invokeListener(&$event, &$target, $method, $resultKey = null)
    {
        $resultKeyRef =& $target->$method($event);
        
        // Create result container and a reference to it (to minimize work done in eval)
        if (!is_null($resultKey)) {
            if (strstr($resultKey, '[')) {
                eval("return \$$resultKey =& \$resultKeyRef;");
            } else {
                $event->setArg($resultKey, $resultKeyRef);
            }
        }
        
        if (MachII::isError($resultKeyRef)) {
            return $resultKeyRef;
        }
    }

}

?>