<?php

require_once 'Product.php';
require_once 'RestrictedProduct.php';

class ShoppingCart_model_ProductFactory
{
    function &createProduct($productID, $name, $description, $price, $type)
    {
        if ($type == 'normal') {
            $productType = 'ShoppingCart_model_Product';
        }
        
        if ($type == 'restricted') {
            $productType = 'ShoppingCart_model_RestrictedProduct';
        }
        
        $product =& new $productType($productID, $name, $description, $price);
        
        return $product;
    }
}

?>